On Lenovo Yoga 2 Pro laptop PS/2 Synaptics TouchPad detected as pointer device by Xorg

Bug #1372520 reported by Tim Edwards on 2014-09-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

In the current kernel release for trusty (linux-image-3.13.0-35-generic 3.13.0-35.62) the touchpad on my Lenevo Yoga 2 Pro laptop is correctly detected as a touchpad device. In the latest kernel in trusty-proposed (linux-image-3.13.0-36-generic 3.13.0-36.63) this device is incorrectly detected as a 'pointer' device.

Xorg.0.log run under linux-image-3.13.0-35-generic:
[ 10.706] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event4)
[ 10.706] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[ 10.706] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
[ 10.706] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "Default clickpad buttons"
[ 10.706] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
[ 10.706] (II) LoadModule: "synaptics"
[ 10.706] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[ 10.706] (II) Module synaptics: vendor="X.Org Foundation"
[ 10.706] compiled for 1.15.0, module version = 1.7.4
[ 10.706] Module class: X.Org XInput Driver
[ 10.706] ABI class: X.Org XInput driver, version 20.0
[ 10.706] (II) Using input driver 'synaptics' for 'SynPS/2 Synaptics TouchPad'

Xorg.0.log run under linux-image-3.13.0-36-generic:
[ 10.389] (II) config/udev: Adding input device PS/2 Synaptics TouchPad (/dev/input/event4)
[ 10.389] (**) PS/2 Synaptics TouchPad: Applying InputClass "evdev pointer catchall"
[ 10.389] (II) Using input driver 'evdev' for 'PS/2 Synaptics TouchPad'
[ 10.389] (**) PS/2 Synaptics TouchPad: always reports core events
[ 10.389] (**) evdev: PS/2 Synaptics TouchPad: Device: "/dev/input/event4"
[ 10.389] (--) evdev: PS/2 Synaptics TouchPad: Vendor 0x2 Product 0x1
[ 10.389] (--) evdev: PS/2 Synaptics TouchPad: Found 3 mouse buttons
[ 10.389] (--) evdev: PS/2 Synaptics TouchPad: Found relative axes
[ 10.389] (--) evdev: PS/2 Synaptics TouchPad: Found x and y relative axes
[ 10.389] (II) evdev: PS/2 Synaptics TouchPad: Configuring as mouse
[ 10.389] (**) evdev: PS/2 Synaptics TouchPad: YAxisMapping: buttons 4 and 5
[ 10.389] (**) evdev: PS/2 Synaptics TouchPad: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 10.389] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input5/event4"
[ 10.389] (II) XINPUT: Adding extended input device "PS/2 Synaptics TouchPad" (type: MOUSE, id 13)

Snippet from /proc/bus/input/devices:
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input5
U: Uniq=
H: Handlers=mouse0 event4
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-36-generic 3.13.0-36.63
ProcVersionSignature: Ubuntu 3.13.0-36.63-generic 3.13.11.6
Uname: Linux 3.13.0-36-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tim 2825 F.... pulseaudio
                      tim 3337 F.... pulseaudio
 /dev/snd/controlC1: tim 2825 F.... pulseaudio
                      tim 3337 F.... pulseaudio
CurrentDesktop: KDE
Date: Mon Sep 22 16:33:01 2014
HibernationDevice: RESUME=/dev/mapper/MainVG-swap
InstallationDate: Installed on 2014-09-16 (5 days ago)
InstallationMedia: Ubuntu-Server 14.04 LTS "Trusty Tahr" - Release amd64 (20140416.2)
MachineType: LENOVO 20266
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-36-generic.efi.signed root=/dev/mapper/MainVG-root ro video.use_native_backlight=1 quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-36-generic N/A
 linux-backports-modules-3.13.0-36-generic N/A
 linux-firmware 1.134
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/25/2014
dmi.bios.vendor: LENOVO
dmi.bios.version: 76CN35WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Yoga2
dmi.board.vendor: LENOVO
dmi.board.version: 31900058STD
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo Yoga 2 Pro
dmi.modalias: dmi:bvnLENOVO:bvr76CN35WW:bd03/25/2014:svnLENOVO:pn20266:pvrLenovoYoga2Pro:rvnLENOVO:rnYoga2:rvr31900058STD:cvnLENOVO:ct10:cvrLenovoYoga2Pro:
dmi.product.name: 20266
dmi.product.version: Lenovo Yoga 2 Pro
dmi.sys.vendor: LENOVO

Tim Edwards (tkedwards) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Tim Edwards (tkedwards) on 2014-09-23
summary: - [SRU regression] PS/2 Synaptics TouchPad seen as pointer device
+ On Lenovo Yoga 2 Pro laptop PS/2 Synaptics TouchPad detected as pointer
+ device by Xorg
tags: removed: package-from-proposed regression-proposed
Tim Edwards (tkedwards) wrote :

Xorg.0.log showing Xorg detecting the touchpad incorrectly as a mouse pointer:
[ 11.016] (II) config/udev: Adding input device PS/2 Synaptics TouchPad (/dev/input/event4)
[ 11.016] (**) PS/2 Synaptics TouchPad: Applying InputClass "evdev pointer catchall"
[ 11.016] (II) Using input driver 'evdev' for 'PS/2 Synaptics TouchPad'

Tim Edwards (tkedwards) wrote :
Tim Edwards (tkedwards) wrote :

I'm no longer using the kernel from -proposed - I'm using the kernel from the Ubuntu main (and main/updates) repos on trusty:
Linux localhost 3.13.0-36-generic #63-Ubuntu SMP Wed Sep 3 21:30:07 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Tim Edwards (tkedwards) wrote :
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.17 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc6-utopic/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: latest-bios-76cn35ww regression-proposed
Tim Edwards (tkedwards) wrote :

The latest kernel doesn't seem to have made a difference:
[ 53.415] (II) config/udev: Adding input device PS/2 Synaptics TouchPad (/dev/input/event4)
[ 53.415] (**) PS/2 Synaptics TouchPad: Applying InputClass "evdev pointer catchall"
[ 53.415] (II) Using input driver 'evdev' for 'PS/2 Synaptics TouchPad'
[ 53.415] (**) PS/2 Synaptics TouchPad: always reports core events
[ 53.415] (**) evdev: PS/2 Synaptics TouchPad: Device: "/dev/input/event4"

Linux localhost 3.17.0-031700rc6-generic #201409211935 SMP Sun Sep 21 23:37:11 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

But I also tested using the Ubuntu 14.10 beta Live USB image and the problem is fixed in the 14.10 beta. I'm not sure how Xorg, udev and the kernel interfact when deciding whether a device is a 'touchpad' or just a 'pointer' but there must've been some change in Xorg or Udev that gets it working in 14.10 beta.

Tim Edwards (tkedwards) on 2014-09-27
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Störm Poorun (subs-olan) wrote :

Affects me too, using Yoga Lenovo Yoga 2 laptop (not Pro).

Running 14.10 both 15.04, Kubuntu, with KF5, Plasma 5.1.9.0, Kernel: Linux 3.16.0-24-generic

radek vasa (radekvasa-f) on 2015-08-09
summary: - On Lenovo Yoga 2 Pro laptop PS/2 Synaptics TouchPad detected as pointer
- device by Xorg
+ Na Lenovo Yoga 2 Pro notebook PS / 2 Touchpad Synaptics rozpoznána jako
+ ukazovací zařízení s Xorg
Changed in linux (Ubuntu):
assignee: nobody → radek vasa (radekvasa-f)
description: updated
Changed in linux (Ubuntu):
assignee: radek vasa (radekvasa-f) → nobody
Tim Edwards (tkedwards) on 2015-08-09
summary: - Na Lenovo Yoga 2 Pro notebook PS / 2 Touchpad Synaptics rozpoznána jako
- ukazovací zařízení s Xorg
+ On Lenovo Yoga 2 Pro laptop PS/2 Synaptics TouchPad detected as pointer
+ device by Xorg
description: updated
Tim Edwards (tkedwards) wrote :

Seems this problem might not be occurring anymore with the Vivid HWE:

[ 11.783] (II) config/udev: Adding input device ELAN Touchscreen (/dev/input
/event7)
[ 11.783] (**) ELAN Touchscreen: Applying InputClass "evdev touchscreen catc
hall"
[ 11.783] (II) Using input driver 'evdev' for 'ELAN Touchscreen'
[ 11.783] (**) ELAN Touchscreen: always reports core events
[ 11.783] (**) evdev: ELAN Touchscreen: Device: "/dev/input/event7"
[ 11.836] (--) evdev: ELAN Touchscreen: Vendor 0x4f3 Product 0x16f
[ 11.836] (--) evdev: ELAN Touchscreen: Found absolute axes
[ 11.836] (--) evdev: ELAN Touchscreen: Found absolute multitouch axes
[ 11.836] (II) evdev: ELAN Touchscreen: No buttons found, faking one.
[ 11.836] (--) evdev: ELAN Touchscreen: Found x and y absolute axes
[ 11.836] (--) evdev: ELAN Touchscreen: Found absolute touchscreen
[ 11.836] (II) evdev: ELAN Touchscreen: Configuring as touchscreen
[ 11.836] (**) evdev: ELAN Touchscreen: YAxisMapping: buttons 4 and 5
[ 11.836] (**) evdev: ELAN Touchscreen: EmulateWheelButton: 4, EmulateWheelI
nertia: 10, EmulateWheelTimeout: 200
[ 11.836] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14
.0/usb1/1-7/1-7:1.0/0003:04F3:016F.0005/input/input8/event7"
[ 11.836] (II) XINPUT: Adding extended input device "ELAN Touchscreen" (type
: TOUCHSCREEN, id 9)
[ 11.836] (II) evdev: ELAN Touchscreen: initialized for absolute axes.
[ 11.836] (**) ELAN Touchscreen: (accel) keeping acceleration scheme 1
[ 11.836] (**) ELAN Touchscreen: (accel) acceleration profile 0
[ 11.836] (**) ELAN Touchscreen: (accel) acceleration factor: 2.000
[ 11.836] (**) ELAN Touchscreen: (accel) acceleration threshold: 4
[ 11.836] (II) config/udev: Adding input device ELAN Touchscreen (/dev/input
/mouse1)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers